Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/payment/e890d24a-cfc0-4915-83d2-3166b9ffba9e' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data ''
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "e890d24a-cfc0-4915-83d2-3166b9ffba9e",
        "link": "ohsjrd3wko",
        "name": "Azumii",
        "category": null,
        "limit": null,
        "type": "payment_request",
        "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
        "event": null,
        "order": null,
        "qty": null,
        "amount": 100000,
        "status": "unpaid",
        "description": "Ubah ReqPayment",
        "coverImageId": null,
        "multipleImageId": null,
        "coverImage": null,
        "multipleImage": null
    }
}
Endpoint:
https://api.mayar.id/hl/v1/payment/{id}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameter

id
string
required
A unique identifier obtained when creating an single request payment. If accessed through the dashboard, it can be found at the URL on the request payment details page.Example:e890d24a-cfc0-4915-83d2-3166b9ffba9e

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of products displayed.

data Structure (Array Of Object)

id
string<uuid>
Unique request payment ID.
Product slug/short URL.
name
string
Product name.
category
string | null
Product category, can be null if there is no category.
limit
number | null
Certain amount limit, can be null.
type
string
Product type.
userId
string<uuid>
Unique ID of the user making the request.
event
object | null
Related event data, can be null.
order
object | null
Related order data, can be null.
qty
string | null
Quantity (if the request relates to specific goods/services).
amount
integer
Product price or nominal value.
status
string
Product status.
description
string
Product description.
coverImageId
string | null
ID cover image, can be null.
multipleImageId
string | null
ID for multiple image group. can be null.
coverImage
object | null
Cover image data, can be null.
multimpleImage
array of object
List of additional images for the product.